from setuptools import find_packages, setup
import os
from glob import glob

package_name = 'franka_logistics'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        (os.path.join('share', package_name), glob('launch/*.launch.py')),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name), glob('launch/*.launch.py')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='niko',
    maintainer_email='nikolaus.feith@unileoben.ac.at',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'franka_logistics = franka_logistics.logistics_node:main',
            'pose_learn = franka_logistics.pose_learn_node:main',
            'franka_grasp_gui = franka_logistics.GUI:main',
            'franka_pose_learn_gui = franka_logistics.Pose_Learn_GUI:main',
            'franka_run_gui = franka_logistics.Run_GUI:main',
            'franka_position_learn_gui = franka_logistics.position_learn_gui:main',
            'franka_position_run_gui = franka_logistics.position_run_gui:main',
            'franka_grasp_demo = franka_logistics.grasp_demo_node:main'
        ],
    },
)
